Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIPopupPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractPopupPanel
                  org.richfaces.component.UIPopupPanel

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.1.0.20111111-CR1"})
    public class UIPopupPanel

extends AbstractPopupPanel
implements javax.faces.component.behavior.ClientBehaviorHolder

JSF component class

Nested Class Summary
`protected static class` | `UIPopupPanel.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIPopupPanel()`

Method Summary
`String` | `getControlsClass()`
`String` | `getDefaultEventName()`
`String` | `getDomElementAttachment()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getHeader()`
`String` | `getHeaderClass()`
`int` | `getHeight()`
`String` | `getLeft()`
`int` | `getMaxHeight()`
`int` | `getMaxWidth()`
`int` | `getMinHeight()`
`int` | `getMinWidth()`
`String` | `getOnbeforehide()`
`String` | `getOnbeforeshow()`
`String` | `getOnhide()`
`String` | `getOnmaskclick()`
`String` | `getOnmaskcontextmenu()`
`String` | `getOnmaskdblclick()`
`String` | `getOnmaskmousedown()`
`String` | `getOnmaskmousemove()`
`String` | `getOnmaskmouseout()`
`String` | `getOnmaskmouseover()`
`String` | `getOnmaskmouseup()`
`String` | `getOnmove()`
`String` | `getOnresize()`
`String` | `getOnshow()`
`String` | `getShadowDepth()`
`String` | `getShadowOpacity()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTop()`
`String` | `getVisualOptions()`
`int` | `getWidth()`
`int` | `getZindex()`
`boolean` | `isAutosized()`
`boolean` | `isFollowByScroll()`
`boolean` | `isKeepVisualState()`
`boolean` | `isModal()`
`boolean` | `isMoveable()`
`boolean` | `isOverlapEmbedObjects()`
`boolean` | `isResizeable()`
`boolean` | `isShow()`
`boolean` | `isTrimOverlayedElements()`
`void` | `setAutosized(boolean autosized)`
`void` | `setControlsClass(String controlsClass)`
`void` | `setDomElementAttachment(String domElementAttachment)`
`void` | `setFollowByScroll(boolean followByScroll)`
`void` | `setHeader(String header)`
`void` | `setHeaderClass(String headerClass)`
`void` | `setHeight(int height)`
`void` | `setKeepVisualState(boolean keepVisualState)`
`void` | `setLeft(String left)`
`void` | `setMaxHeight(int maxHeight)`
`void` | `setMaxWidth(int maxWidth)`
`void` | `setMinHeight(int minHeight)`
`void` | `setMinWidth(int minWidth)`
`void` | `setModal(boolean modal)`
`void` | `setMoveable(boolean moveable)`
`void` | `setOnbeforehide(String onbeforehide)`
`void` | `setOnbeforeshow(String onbeforeshow)`
`void` | `setOnhide(String onhide)`
`void` | `setOnmaskclick(String onmaskclick)`
`void` | `setOnmaskcontextmenu(String onmaskcontextmenu)`
`void` | `setOnmaskdblclick(String onmaskdblclick)`
`void` | `setOnmaskmousedown(String onmaskmousedown)`
`void` | `setOnmaskmousemove(String onmaskmousemove)`
`void` | `setOnmaskmouseout(String onmaskmouseout)`
`void` | `setOnmaskmouseover(String onmaskmouseover)`
`void` | `setOnmaskmouseup(String onmaskmouseup)`
`void` | `setOnmove(String onmove)`
`void` | `setOnresize(String onresize)`
`void` | `setOnshow(String onshow)`
`void` | `setOverlapEmbedObjects(boolean overlapEmbedObjects)`
`void` | `setResizeable(boolean resizeable)`
`void` | `setShadowDepth(String shadowDepth)`
`void` | `setShadowOpacity(String shadowOpacity)`
`void` | `setShow(boolean show)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTop(String top)`
`void` | `setTrimOverlayedElements(boolean trimOverlayedElements)`
`void` | `setVisualOptions(String visualOptions)`
`void` | `setWidth(int width)`
`void` | `setZindex(int zindex)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIPopupPanel

    public UIPopupPanel()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractPopupPanel`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isAutosized

    public boolean isAutosized()

  Specified by:
    `isAutosized` in class `AbstractPopupPanel`

### setAutosized

    public void setAutosized(boolean autosized)

### getControlsClass

    public String getControlsClass()

  Specified by:
    `getControlsClass` in class `AbstractPopupPanel`

### setControlsClass

    public void setControlsClass(String controlsClass)

### getDomElementAttachment

    public String getDomElementAttachment()

  Specified by:
    `getDomElementAttachment` in class `AbstractPopupPanel`

### setDomElementAttachment

    public void setDomElementAttachment(String domElementAttachment)

### isFollowByScroll

    public boolean isFollowByScroll()

  Specified by:
    `isFollowByScroll` in class `AbstractPopupPanel`

### setFollowByScroll

    public void setFollowByScroll(boolean followByScroll)

### getHeader

    public String getHeader()

  Specified by:
    `getHeader` in class `AbstractPopupPanel`

### setHeader

    public void setHeader(String header)

### getHeaderClass

    public String getHeaderClass()

  Specified by:
    `getHeaderClass` in class `AbstractPopupPanel`

### setHeaderClass

    public void setHeaderClass(String headerClass)

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in class `AbstractPopupPanel`

### setHeight

    public void setHeight(int height)

### isKeepVisualState

    public boolean isKeepVisualState()

  Specified by:
    `isKeepVisualState` in class `AbstractPopupPanel`

### setKeepVisualState

    public void setKeepVisualState(boolean keepVisualState)

### getLeft

    public String getLeft()

  Specified by:
    `getLeft` in class `AbstractPopupPanel`

### setLeft

    public void setLeft(String left)

### getMaxHeight

    public int getMaxHeight()

  Specified by:
    `getMaxHeight` in class `AbstractPopupPanel`

### setMaxHeight

    public void setMaxHeight(int maxHeight)

### getMaxWidth

    public int getMaxWidth()

  Specified by:
    `getMaxWidth` in class `AbstractPopupPanel`

### setMaxWidth

    public void setMaxWidth(int maxWidth)

### getMinHeight

    public int getMinHeight()

  Specified by:
    `getMinHeight` in class `AbstractPopupPanel`

### setMinHeight

    public void setMinHeight(int minHeight)

### getMinWidth

    public int getMinWidth()

  Specified by:
    `getMinWidth` in class `AbstractPopupPanel`

### setMinWidth

    public void setMinWidth(int minWidth)

### isModal

    public boolean isModal()

  Specified by:
    `isModal` in class `AbstractPopupPanel`

### setModal

    public void setModal(boolean modal)

### isMoveable

    public boolean isMoveable()

  Specified by:
    `isMoveable` in class `AbstractPopupPanel`

### setMoveable

    public void setMoveable(boolean moveable)

### getOnbeforehide

    public String getOnbeforehide()

  Specified by:
    `getOnbeforehide` in class `AbstractPopupPanel`

### setOnbeforehide

    public void setOnbeforehide(String onbeforehide)

### getOnbeforeshow

    public String getOnbeforeshow()

  Specified by:
    `getOnbeforeshow` in class `AbstractPopupPanel`

### setOnbeforeshow

    public void setOnbeforeshow(String onbeforeshow)

### getOnhide

    public String getOnhide()

  Specified by:
    `getOnhide` in class `AbstractPopupPanel`

### setOnhide

    public void setOnhide(String onhide)

### getOnmaskclick

    public String getOnmaskclick()

  Specified by:
    `getOnmaskclick` in class `AbstractPopupPanel`

### setOnmaskclick

    public void setOnmaskclick(String onmaskclick)

### getOnmaskcontextmenu

    public String getOnmaskcontextmenu()

  Specified by:
    `getOnmaskcontextmenu` in class `AbstractPopupPanel`

### setOnmaskcontextmenu

    public void setOnmaskcontextmenu(String onmaskcontextmenu)

### getOnmaskdblclick

    public String getOnmaskdblclick()

  Specified by:
    `getOnmaskdblclick` in class `AbstractPopupPanel`

### setOnmaskdblclick

    public void setOnmaskdblclick(String onmaskdblclick)

### getOnmaskmousedown

    public String getOnmaskmousedown()

  Specified by:
    `getOnmaskmousedown` in class `AbstractPopupPanel`

### setOnmaskmousedown

    public void setOnmaskmousedown(String onmaskmousedown)

### getOnmaskmousemove

    public String getOnmaskmousemove()

  Specified by:
    `getOnmaskmousemove` in class `AbstractPopupPanel`

### setOnmaskmousemove

    public void setOnmaskmousemove(String onmaskmousemove)

### getOnmaskmouseout

    public String getOnmaskmouseout()

  Specified by:
    `getOnmaskmouseout` in class `AbstractPopupPanel`

### setOnmaskmouseout

    public void setOnmaskmouseout(String onmaskmouseout)

### getOnmaskmouseover

    public String getOnmaskmouseover()

  Specified by:
    `getOnmaskmouseover` in class `AbstractPopupPanel`

### setOnmaskmouseover

    public void setOnmaskmouseover(String onmaskmouseover)

### getOnmaskmouseup

    public String getOnmaskmouseup()

  Specified by:
    `getOnmaskmouseup` in class `AbstractPopupPanel`

### setOnmaskmouseup

    public void setOnmaskmouseup(String onmaskmouseup)

### getOnmove

    public String getOnmove()

  Specified by:
    `getOnmove` in class `AbstractPopupPanel`

### setOnmove

    public void setOnmove(String onmove)

### getOnresize

    public String getOnresize()

  Specified by:
    `getOnresize` in class `AbstractPopupPanel`

### setOnresize

    public void setOnresize(String onresize)

### getOnshow

    public String getOnshow()

  Specified by:
    `getOnshow` in class `AbstractPopupPanel`

### setOnshow

    public void setOnshow(String onshow)

### isOverlapEmbedObjects

    public boolean isOverlapEmbedObjects()

  Specified by:
    `isOverlapEmbedObjects` in class `AbstractPopupPanel`

### setOverlapEmbedObjects

    public void setOverlapEmbedObjects(boolean overlapEmbedObjects)

### isResizeable

    public boolean isResizeable()

  Specified by:
    `isResizeable` in class `AbstractPopupPanel`

### setResizeable

    public void setResizeable(boolean resizeable)

### getShadowDepth

    public String getShadowDepth()

  Specified by:
    `getShadowDepth` in class `AbstractPopupPanel`

### setShadowDepth

    public void setShadowDepth(String shadowDepth)

### getShadowOpacity

    public String getShadowOpacity()

  Specified by:
    `getShadowOpacity` in class `AbstractPopupPanel`

### setShadowOpacity

    public void setShadowOpacity(String shadowOpacity)

### isShow

    public boolean isShow()

  Specified by:
    `isShow` in class `AbstractPopupPanel`

### setShow

    public void setShow(boolean show)

  Specified by:
    `setShow` in class `AbstractPopupPanel`

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in class `AbstractPopupPanel`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in class `AbstractPopupPanel`

### setStyleClass

    public void setStyleClass(String styleClass)

### getTop

    public String getTop()

  Specified by:
    `getTop` in class `AbstractPopupPanel`

### setTop

    public void setTop(String top)

### isTrimOverlayedElements

    public boolean isTrimOverlayedElements()

  Specified by:
    `isTrimOverlayedElements` in class `AbstractPopupPanel`

### setTrimOverlayedElements

    public void setTrimOverlayedElements(boolean trimOverlayedElements)

### getVisualOptions

    public String getVisualOptions()

  Specified by:
    `getVisualOptions` in class `AbstractPopupPanel`

### setVisualOptions

    public void setVisualOptions(String visualOptions)

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in class `AbstractPopupPanel`

### setWidth

    public void setWidth(int width)

### getZindex

    public int getZindex()

  Specified by:
    `getZindex` in class `AbstractPopupPanel`

### setZindex

    public void setZindex(int zindex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.